# STM32 CMake+CppuTest Template

## Requirements

- An ARM compiler and linker.
- Bash or a POSIX shell.
- CMAKE version 3.20 or newer.
- Cpputest 3.8 or newer.
- Clangd LSP.
- Git version control.

## Instructions

1. Clone/copy the repo locally.
2. Check the requirements to make sure you're development enviroment is ready.
3. Update the linker script files to target your current uC.
4. Change line 45 of `Doxyfile` with the project name.
5. 

## Running Tests


## TODO

- [X] Create or copy a linker.ld file.
- [ ] Add startup files.
- [ ] Add messages for case where tool-chain is missing.
- [ ] Check for FreeBSD & Linux compat.
- [ ] Add CMSIS stuff.
- [ ] Add in RTOS stuff.
- [ ] Add in FreeRTOS submodule.
- [ ] Add in Zephyr submodule.
- [ ] Add STM32F4XX support
- [ ] Add STM32G0B1 support
- [ ] Add STM32F1XX support
